<?xml version="1.0" encoding="UTF-8"?>
<project basedir="." name="CMO_ConvertText2" default="09italic">
    
    <property name="projectDir" value="projectDir"/>
    <property name="currentFile" value="currentFile"/>
    <property name="currentDir" value="currentDir"/>
    <property name="currentFileName" value="currentFileName"/>
    
    <target name="03getSigla">
        <xslt force="yes" style="${projectDir}/03getSigla.xsl"
            in="${currentFile}" out="${currentDir}/cache/${currentFileName}_sigla.xml">
            <factory name="net.sf.saxon.TransformerFactoryImpl">
                <attribute name="http://saxon.sf.net/feature/traceListenerClass" 
                    value="net.sf.saxon.trace.XSLTTraceListener"/>
            </factory>
        </xslt>
    </target>
    
    <target name="04buildApparati" depends="03getSigla">
        <xslt force="yes" style="${projectDir}/04buildApparati.xsl"
            in="${currentDir}/cache/${currentFileName}_sigla.xml" 
            out="${currentDir}/cache/${currentFileName}_app.xml">
            <factory name="net.sf.saxon.TransformerFactoryImpl"/>
        </xslt>
    </target>
    
    <target name="05divideOrigFromTrans" depends="04buildApparati">
        <xslt force="yes" style="${projectDir}/05divideOrigFromTrans.xsl"
            in="${currentDir}/cache/${currentFileName}_app.xml" 
            out="${currentDir}/cache/${currentFileName}_2lyrics.xml">
            <factory name="net.sf.saxon.TransformerFactoryImpl"/>
        </xslt>
    
    <target name="06mergeAdjacentHi" depends="05divideOrigFromTrans">
        <xslt force="yes" style="${projectDir}/06mergeAdjacentHi.xsl"
            in="${currentDir}/cache/${currentFileName}_2lyrics.xml" 
            out="${currentDir}/cache/${currentFileName}_hiclean.xml">
            <factory name="net.sf.saxon.TransformerFactoryImpl"/>
        </xslt>
    </target>
    
    <target name="07lineMaker" depends="06mergeAdjacentHi">
        <xslt force="yes" style="${projectDir}/07lineMaker.xsl"
            in="${currentDir}/cache/${currentFileName}_hiclean.xml" 
            out="${currentDir}/cache/${currentFileName}_lines.xml">
            <factory name="net.sf.saxon.TransformerFactoryImpl"/>
        </xslt>
    </target>
    
    <target name="08refineMetadata" depends="07lineMaker">
        <xslt force="yes" style="${projectDir}/08refineMetadata.xsl"
            in="${currentDir}/cache/${currentFileName}_lines.xml" 
            out="${currentDir}/cache/${currentFileName}_refine.xml">
            <factory name="net.sf.saxon.TransformerFactoryImpl"/>
        </xslt>
    </target>
    
    <target name="09italic" depends="08refineMetadata">
        <xslt force="yes" style="${projectDir}/09italic.xsl"
            in="${currentDir}/cache/${currentFileName}_refine.xml" 
            out="${currentDir}/${currentFileName}_finish.xml">
            <factory name="net.sf.saxon.TransformerFactoryImpl"/>
        </xslt>
    </target>
</project>